For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all charge codes
        • GETGet a charge code by ID
        • GETGet all resident charges
        • GETGet a resident charge by ID
        • GETGet all resident payments
        • GETGet a resident payment by ID
        • GETGet all fees
        • GETGet fee by ID
        • POSTCreate Resident Charge: ResMan
        • POSTCreate Resident Payment: ResMan
        • POSTBatch Create Resident Charges: ResMan
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManBilling and Payments

Batch Create Resident Charges: ResMan

POST
/v1/resident-charges/batch/resman/
POST
/v1/resident-charges/batch/resman/
$curl -X POST https://api.propexo.com/v1/resident-charges/batch/resman/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "resman-integration-98765",
> "charges": [
> {
> "resident_id": "resident-12345",
> "charge_code_id": "chargecode-67890",
> "batch_id": "batch-20240615-001",
> "transaction_date": "2024-06-15T09:30:00Z",
> "description": "Monthly Rent Charge",
> "notes": "Charge for June 2024 rent",
> "amount_in_cents": 125000,
> "reference_number": "INV-20240615-123"
> }
> ]
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-abc123"
4 },
5 "result": {
6 "integration_id": "resman-integration-98765",
7 "charges": [
8 {
9 "resident_id": "resident-12345",
10 "charge_code_id": "chargecode-67890",
11 "batch_id": "batch-20240615-001",
12 "transaction_date": "2024-06-15T09:30:00Z",
13 "description": "Monthly Rent Charge",
14 "notes": "Charge for June 2024 rent",
15 "amount_in_cents": 125000,
16 "reference_number": "INV-20240615-123"
17 }
18 ]
19 }
20}
Creates multiple resident charges in one job. | Interface | Method | |---|---| | Accounts Receivable | /MITS/PostResidentTransactions2_0 | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Get all deposit summaries

Next
Built with

Creates multiple resident charges in one job.

InterfaceMethod
Accounts Receivable/MITS/PostResidentTransactions2_0
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
chargeslist of objectsRequired
Array of resident charges. Each item includes the resident to post the charge for. All charges must belong to the same ResMan property.

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error